Summary: libexif is a library for extracting extra information from image files
Name: libexif
Version: 0.5.12
Release: 6.fc3
Group: System Environment/Libraries
License: LGPL
URL: http://libexif.sourceforge.net/
Source0: http://umn.dl.sourceforge.net/sourceforge/libexif/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0: libexif-0.5.12-buffer-overflow.patch
Patch1: libexif-0.5.12-recurse.patch

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package devel
Summary: libexif development
Group: Development/Libraries
Requires: libexif = %{version}-%{release}

%description devel
The libexif-devel package contains the static libraries and header files
for writing programs that use libexif.

%prep
%setup -q

%patch0 -p1 -b .buffer-overflow
%patch1 -p1 -b .recurse

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/libexif.so.*
%{_datadir}/locale/*/LC_MESSAGES/libexif.mo

%files devel
%defattr(-,root,root,-)
%{_includedir}/libexif
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libexif.pc

%changelog
* Fri May  6 2005 Matthias Clasen <mclasen@redhat.com>
- Prevent infinite recursion

* Tue Mar  8 2005 Marco Pesenti Gritti <mpg@redhat.com>
- Add patch for CAN-2005-0664. Fix bug #150503

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec 22 2003 Matt Wilson <msw@redhat.com> 
- Initial build.
